Subject: bug#6861: 24.0.50; Scroll lock not bound

From: Eli Zaretskii <[email-masked]>
Date: Tue, 27 Aug 2019 15:40:35 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Tue, 27 Aug 2019 14:28:30 +0200
> Cc: David Kastrup <[email-masked]>, [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > > > What about w32-scroll-lock-modifier?
> > >
> > > I'm unfortunately not familiar with that at all, since I never use
> > > Windows.  Nor do I currently have access to any Windows boxes for
> > > testing.  Would this patch break something on w32, or would it just
> > > not work there?
> >
> > It might not work if w32-scroll-lock-modifier was customized to have
> > ScrollLock act as a modifier key.
> 
> Could someone with access to a Windows machine please test this patch?

I can, but I'm not sure I understand what you'd like to test.  With
the default value of w32-scroll-lock-modifier your patch will
definitely work; with w32-scroll-lock-modifier customized to some
modifier, like 'super, it will certainly NOT work.

So I think we need to tell Windows users that this binding won't work
if w32-scroll-lock-modifier was customized to a n on-nil value.  Any
suggestions for where to document that?